%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
#
%define real_name psmon

Summary: psmon
Name: psmon
Version: 1.39
Release: 4.art
License: Apache
Group: Applications/CPAN
URL: http://www.psmon.co.uk/
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
Vendor: Atomic Rocket Turtle, http://www.atomicrocketturtle.com/
Source: http://www.psmon.co.uk/%{name}-%{version}.tar.gz
Source1: psmon.cron
Source2: psmon.init
Patch0: psmon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl perl-Unix-Syslog perl-Config-General perl-Proc-ProcessTable 
Requires: perl perl-Unix-Syslog perl-Config-General perl-Proc-ProcessTable
Prereq: /sbin/chkconfig

# If the fedoras dont have it
%if 0%{?fc12}
BuildRequires: perl-ExtUtils-MakeMaker
%endif


%description
Process monitor


%prep
%setup -n %{real_name}-%{version} 
%patch0 -p0


%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/
%{__mkdir} -p %{buildroot}%{_sysconfdir}/cron.d/
%{__mkdir} -p %{buildroot}%{_sysconfdir}/init.d/
%{__install} -m 0644 etc/psmon.conf %{buildroot}%{_sysconfdir}/
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.d/psmon
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/init.d/psmon


%post
/sbin/chkconfig --add psmon

if [ -f %{_localstatedir}/lock/subsys/%{name} ]; then
  %{_initrddir}/%{name} restart
fi


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc MANIFEST README
%doc %{_mandir}/man?/*
#%{perl_vendorlib}/*
%{_bindir}/psmon
%{_bindir}/psmon-config
%config(noreplace) %{_sysconfdir}/psmon.conf
/etc/cron.d/psmon
/etc/init.d/psmon

%changelog
* Wed Apr 15 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.39-4
- Bugfix #XXX, corrected condition where the /var/run/psmon.pid was not created correctly. This would manifest in multiple instances of psmon

* Mon Feb 9 2009 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.39-3
- Bugfix #XXX, update to psmon.cron, this now calls the init script rather than psmon directly
- Upate to psmon to support status and restart flags

* Fri Dec 19 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.39-2
- added in an init script

* Tue Jan 8 2008 Scott R. Shinn <scott@atomicrocketturtle.com> 1.39-1
- update to 1.39

* Wed Dec 19 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.29-8
- update to cron job

* Sun Jul 8 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 1.29-5
- Added psmon to cron

* Fri Feb 2 2007 Scott R. Shinn <scott@atomicrocketturtle.com> 
- initial release 1.29
